function onBegin()
  local cutscene_skipped = getFlag("fifiskip")

  if cutscene_skipped then
     disableMovement()
     makeUnskippable()
     disableRetry()
     if choice("fificrisis_conv02_ask") == 1 then
           say("fificrisis_conv02_say")
           instantTeleportTo(760, -9928)

           player.Facing = luanet.enum(luanet.import_type("Celeste.Facings"), "Right")

     else
           say("fificrisis_conv02_say")
           instantTeleportTo(760, -9928)

           player.Facing = luanet.enum(luanet.import_type("Celeste.Facings"), "Right")
     end
end
end

function onEnd(room)
  enableMovement()
  enableRetry()
end